<?php
$location = $options_page; // Form Action URI
?>

<div class="wrap">
	<h2>WP Content Slideshow Configurations</h2>
	<p>Use these fields below to adjust category ID and Items to display of your Content Slideshow</p>
	
    <div style="margin-left:0px;">
    <form method="post" action="options.php"><?php wp_nonce_field('update-options'); ?>
		<fieldset name="general_options" class="options">
        
        Category ID:<br />
		<div style="margin:0;padding:0;">
        <input name="slideshow-id" id="slideshow-id" size="25" value="<?php echo get_option('slideshow-id'); ?>"></input>   
        </div><br />
        
        Number of slided Posts: (max. 5)<br />
		<div style="margin:0;padding:0;">
        <input name="slideshow-posts" id="slideshow-posts" size="25" value="<?php echo get_option('slideshow-posts'); ?>"></input>   
        </div><br />

	  <h2>WP Content Slideshow Style Configuration</h2>
	  <p>Use these fields below to adjust the styling of the Slideshow</p>

	  Slideshow Width: (for Standard please type: 940)<br />
	  <div style="margin:0;padding:0;">
        <input name="slideshow-width" id="slideshow-width" size="25" value="<?php echo get_option('slideshow-width'); ?>"></input>   
        </div><br />

	  Slideshow Height: (for Standard please type: 250)<br />
	  <div style="margin:0;padding:0;">
        <input name="slideshow-height" id="slideshow-height" size="25" value="<?php echo get_option('slideshow-height'); ?>"></input>   
        </div><br />

	  Slideshow Background Colour: (for Standard please type: 3F4045)<br />
	  <div style="margin:0;padding:0;">
        <input name="slideshow-background-color" id="slideshow-background-color" size="25" value="<?php echo get_option('slideshow-background-color'); ?>"></input>   
        </div><br />

	  Slideshow Border Colour: (for Standard please type: 3F4045)<br />
	  <div style="margin:0;padding:0;">
        <input name="slideshow-outer-border-color" id="slideshow-outer-border-color" size="25" value="<?php echo get_option('slideshow-outer-border-color'); ?>"></input>   
        </div><br />

	  Slideshow Posts Background Colour: (for Standard please type: 3F4045)<br />
	  <div style="margin:0;padding:0;">
        <input name="slideshow-list-background-color" id="slideshow-list-background-color" size="25" value="<?php echo get_option('slideshow-list-background-color'); ?>"></input>   
        </div><br />

	  Slideshow Posts Border Colour: (for Standard please type: 000)<br />
	  <div style="margin:0;padding:0;">
        <input name="slideshow-list-border-color" id="slideshow-list-border-color" size="25" value="<?php echo get_option('slideshow-list-border-color'); ?>"></input>   
        </div><br />

	  Slideshow Posts Active Background Colour: (for Standard please type: 993399)<br />
	  <div style="margin:0;padding:0;">
        <input name="slideshow-list-hover-color" id="slideshow-list-hover-color" size="25" value="<?php echo get_option('slideshow-list-hover-color'); ?>"></input>   
        </div><br />
                
        <input type="hidden" name="action" value="update" />
        <input type="hidden" name="page_options" value="slideshow-id,slideshow-posts,slideshow-width,slideshow-height,slideshow-background-color,slideshow-outer-border-color,slideshow-list-background-color,slideshow-list-border-color,slideshow-list-hover-color" />

		</fieldset>
		<p class="submit"><input type="submit" name="Submit" value="<?php _e('Update Options') ?>" /></p>
	</form>      
</div>