<?php
/*
Plugin Name: WP Content Slideshow
Plugin URI: http://www.iwebix.de/wp-content-slideshow-javascript-slideshow-plugin/
Description: This Plugin shows up to 5 Posts with a short description and a title at the right, and a image for every post on the left.
Version: 1.1
Author: Dennis Nissle, IWEBIX
Author URI: http://www.iwebix.de/
*/
/* options page */
$options_page = get_option('siteurl') . '/wp-admin/admin.php?page=wp-content-slideshow/options.php';
function slideshow_options_page() {
	add_options_page('WP Content Slideshow Options', 'WP Content Slideshow', 10, 'wp-content-slideshow/options.php');
}
function slideshow_js() {
    $slideshow_path =  get_bloginfo('wpurl')."/wp-content/plugins/wp-content-slideshow/";
	$slideshowscript = "<link rel=\"stylesheet\" href=\"".$slideshow_path."css/slide.css\" type=\"text/css\" media=\"screen\" charset=\"utf-8\"/>
<script type=\"text/javascript\" src=\"".$slideshow_path."scripts/jquery.cycle.js\"></script>
<script type=\"text/javascript\" src=\"".$slideshow_path."scripts/slideshow.js\"></script>
	\n";
	echo($slideshowscript);
}
add_action('wp_head', 'slideshow_js');
add_action('admin_menu', 'slideshow_options_page');
function the_slide_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $slide = get_the_content($more_link_text, $stripteaser, $more_file);
    $slide = apply_filters('the_content', $slide);
    $slide = str_replace(']]>', ']]&gt;', $slide);
    $slide = strip_tags($slide);

   if (strlen($_GET['p']) > 0) {
      echo "<div>";
      echo $slide;
      echo "</div>";
   }
   else if ((strlen($slide)>$max_char) && ($espacio = strpos($slide, " ", $max_char ))) {
        $slide = substr($slide, 0, $espacio);
        $slide = $slide;
        echo "<div>";
        echo $slide;
        echo "...";
        echo "</div>";
   }
   else {
      echo "<div>";
      echo $slide;
      echo "</div>";
   }
}

?>
