<?php
$direct_path =  get_bloginfo('wpurl')."/wp-content/plugins/wp-content-slideshow";
?>
<script type="text/javascript" src="<?php echo $direct_path;?>/scripts/jquery-1.2.6.min.js"></script> 
<script type="text/javascript" src="<?php echo $direct_path;?>/scripts/jquery.cycle.js"></script>
<script type="text/javascript" src="<?php echo $direct_path;?>/scripts/slideshow.js"></script>
<style>

.slideshow-container {
margin: 10px 0px 0px 0px;
width: <?php echo get_option('slideshow-width'); ?>px;
height: <?php echo get_option('slideshow-height'); ?>px;
overflow:hidden;
background-color:#FFF;
float: left;
}

#content-slideshow {
	width: <?php echo get_option('slideshow-width'); ?>px;
	margin: 0 0 10px;
	padding:0;
	background:#<?php echo get_option('slideshow-background-color'); ?>;
	height: <?php echo get_option('slideshow-height'); ?>px;
	overflow:hidden;
	border:5px solid #<?php echo get_option('slideshow-outer-border-color'); ?>;
	}

#content-slideshow ul {
	background:transparent;
	margin: 0;
	padding: 0;
	list-style-type: none;
	}           



#content-slideshow .slideshow {
	width:540px;
	overflow: hidden;
	float:left;
	color:#fff;
	}

#content-slideshow .slideshow ul {
	float:left;
	overflow: hidden;
	width:540px;
	height:250px;
	}

#content-slideshow .slideshow li {
	display:none;
	left:-99999em;
	width:540px;
	height:250px;
	display:block;
	overflow: hidden;
	background:#3F4045;
	position:relative;
	z-index:1;
	}

.js #content-slideshow .slideshow li {
	margin: 0;
	padding: 0;
	list-style-type: none;
	width:540px;
	height:250px;
	display:block;
	overflow: hidden;
	background:#3F4045;
	position:relative;
	z-index:1;
	}

.js #content-slideshow .slideshow li .entry {
	width:530px;
	padding: 5px;
	overflow: hidden;
	position:absolute;
	bottom:0;
	left:0;
	background:#3F4045;
	filter:alpha(opacity=70);
	-moz-opacity:0.7;
	-khtml-opacity: 0.7;
	opacity: 0.7;
	}

#content-slideshow .slideshow li .entry p {
	margin: 0;
	}

#content-slideshow .slideshow li .entry h2 a, 
#content-slideshow .slideshow li .entry h2 a:link,
#content-slideshow .slideshow li .entry h2 a:visited,
#content-slideshow .slideshow li .entry h2 a:hover,
#content-slideshow .slideshow li .entry h2 a:active  {
	line-height: 1.1em;
	margin:0;
	color:#993399 !important;
	margin: 0;
	letter-spacing:0;
	}

#content-slideshow  ul.slideshow-nav {
	height:250px;
	width:395px;
	margin:0;
	padding: 0;
	float:right;
	overflow:hidden;
	}

#content-slideshow .slideshow-nav li {
	display:block;
	margin:0;
	padding:0;
	list-style-type:none;
	display:block;
	}

.slideme {
	font-size: 6px;
	float: left;
	display: none;
}

.slideme a {
	font-size: 6px;
	text-decoration: none;
	color: #3b3b3b;
}

#content-slideshow .slideshow-nav li a {
	width:375px;
	font-family:arial,helvetica,sans-serif;
	display:block;
	margin:0;
	padding:10px;
	list-style-type:none;
	display:block;
	height:30px;
	color:#999;
	font-size:8pt;
	overflow:hidden;
	background: #<?php echo get_option('slideshow-list-background-color'); ?>;
	border-bottom: 1px solid #<?php echo get_option('slideshow-list-border-color'); ?>;
	line-height:1.35em;
	}

.js #content-slideshow .slideshow-nav li.on a {
	background: #<?php echo get_option('slideshow-list-hover-color'); ?>;
	color:#fff;
	}

.js #content-slideshow .slideshow-nav li a:hover,
.js #content-slideshow .slideshow-nav li a:active {
	color:#fff;
	}

#content-slideshow .slideshow-nav li a img.post-thum, 
#content-slideshow .slideshow-nav li a img.thumbnail {
	float:left;
	margin: 0 10px 0 0;
	border:0;
	padding:1px;
	background:#999;
	width:28px;
	height:28px;
	}

.js #content-slideshow .slideshow-nav li.on a img.post-thum, 
.js #content-slideshow .slideshow-nav li.on a img.thumbnail {
	background:#fff !important;
	}


</style>





<div class="slideshow-container">

	<div id="content-slideshow" class="clearfix">

		<div class="slideshow">

			<ul class="clearfix">

<?php $counting = 1 ?>
<?php $temp_query = $wp_query; ?>
<?php query_posts('cat=' . get_option('slideshow-id') . '&showposts=' . get_option('slideshow-posts')); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<?php $do_not_duplicate[$post->ID] = $post->ID; ?>

				<li id="main-post-<?php echo $counting; ?>" onclick="location.href='<?php the_permalink(); ?>';" style="cursor: pointer; background:url(<?php $values = get_post_custom_values("Featured"); echo $values[0]; ?>) top center no-repeat;" title="<?php _e("Permanent Link to"); ?> <?php the_title(); ?>">
				</li>

<?php $counting = $counting + 1 ?>
<?php endwhile; else: ?>
        <?php endif; ?>

			</ul>

		</div>

		<ul class="slideshow-nav">

<?php $counting = 1 ?>
<?php query_posts('cat=' . get_option('slideshow-id') . '&showposts=' . get_option('slideshow-posts')); ?>
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<?php $do_not_duplicate[$post->ID] = $post->ID; ?>

<?php if ( $counting == 1 ) { ?>
			<li class="on clearfix" id="post-<?php echo $counting; ?>">
				<a href="#main-post-<?php echo $counting; ?>" title="<?php the_title(); ?>">
					<?php the_title(); ?><br />
					<?php the_slide_limit(60); ?> 
				</a>
			</li>
<?php } else { ?>
			<li id="post-<?php echo $counting; ?>" class="clearfix">
				<a href="#main-post-<?php echo $counting; ?>" title="<?php the_title(); ?>">
					<?php the_title(); ?><br />
					<?php the_slide_limit(60); ?> 
				</a>
			</li>
<?php } ?>

<?php $counting = $counting + 1 ?>
<?php endwhile; else: ?>
        <?php endif; ?>

		</ul>
		<div class="slideme"></div>


	</div>

</div>
